/**
 * RCMContentsRegister
 * Webコンテンツサーバーと通信するためのコンテンツ登録クライアントインターフェース
 * このクラスはWebコンテンツサーバーによって生成される(RMIスタブとして)
 * どのようなインスタンスを生成するかはコンテンツサーバーの設定による
 */
package org.logical_paradox.rss.rcm;
import java.rmi.Remote;
import java.rmi.RemoteException;

import org.logical_paradox.rss.http.WebContents;

public interface RCMContentsRegister extends Remote, ContentsRegister {
	public String getRegisterName() throws RemoteException;									// コンテンツ登録クライアントの固有名を返す
	public void registContents(WebContents content ) throws RemoteException;		// コンテンツを登録する
	public boolean isRegistered( String url ) throws RemoteException;						// コンテンツが登録されているか調べる
	public void unregistContents( String url ) throws RemoteException;						// コンテンツの登録を削除する
	public void unregistAll() throws RemoteException;										// 全てのコンテンツを削除する
	public String getRegisterKey() throws RemoteException;									// このインターフェースのIDを返す
}

// end of RCMContentsRegister.java
